Bug 1391865 - Trouble creating service signer certificate while running upgrade in containerized environment
Summary: Trouble creating service signer certificate while running upgrade in containe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.3.1
Assignee: Scott Dodson
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-04 09:28 UTC by Jaspreet Kaur
Modified: 2019-12-16 07:18 UTC (History)
4 users (show)

Fixed In Version: openshift-ansible-3.3.46-1.git.0.2558730.el7
Doc Type: Bug Fix
Doc Text:
Previously containerized upgrades from OCP 3.2 to 3.3 would fail to properly create the service signing certificate due to an invalid path being used in containerized environments. We have corrected that error and now containerized upgrades create service signer certificates.
Clone Of:
Environment:
Last Closed: 2016-11-15 19:11:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2778 0 normal SHIPPED_LIVE Moderate: atomic-openshift-utils security and bug fix update 2016-11-16 00:08:29 UTC

Description Jaspreet Kaur 2016-11-04 09:28:29 UTC
Description of problem: While upgrading to v3.2.1.15 to v3.3 (containerized) using atomic-openshift-utils-3.3.41-1.git.0.a1a327b.el7.noarch.rpm 

The command we ran was:
ansible-playbook -i inventory.ini /usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_3/upgrade.yml -vvv


This error seems to be related to this github issue: https://github.com/openshift/openshift-ansible/pull/2638


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 errata-xmlrpc 2016-11-15 19:11:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:2778


Note You need to log in before you can comment on or make changes to this bug.